package app05d.form;

import java.text.DateFormat;
import java.text.ParseException;
import java.util.Date;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.validator.DynaValidatorForm;

public final class OrderForm extends DynaValidatorForm {

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
	
		ActionErrors errors = super.validate(mapping, request);

		if (errors==null)  
		  errors = new ActionErrors();
		
		String orderDateString = (String)this.get("orderDate");  
		if (!orderDateString.equals(null)) { 
			Date today = new Date();

			DateFormat dateFormat = DateFormat.getDateInstance(DateFormat.SHORT);
			try { 
				Date orderDate = dateFormat.parse(orderDateString);
				if (orderDate.after(today)) {
					errors.add("order", new ActionMessage("ruleError.orderDate"));
				}
			} 
			catch (ParseException ex) { 
				errors.add("order", new ActionMessage("ruleError.orderDate"));
			}
		}
    return errors;
  }  
}
